| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Static Public Member Functions | Properties | Static Private Attributes | List of all members
IG.Gr3d.VtkFormsExamples Class Reference

Examples from VTK forms. More...

Collaboration diagram for IG.Gr3d.VtkFormsExamples:
[legend]

## Static Public Member Functions
static string | Plot3dFunctionVtkControl (string surfaceName, string[] args)
| Tests use of VTK controls. More...

## Properties
static VtkPlotter | Plotter`[get, set]`
| Plotter that is used for rendering VTK graphics. More...

## Static Private Attributes
static VtkPlotter | _plotter

## Detailed Description

Examples from VTK forms.

This class hosts some example methods (e.g. for application scripts) whose natural location would be somewhere else but are put into this project because they contain dependencies on the VTKFORMSDESIGN compiler directive, which is used in the current project to enable normal function of the GUI designer in the presence of the VTK form classes that are not compatible with GUI designer.

## Member Function Documentation

static string IG.Gr3d.VtkFormsExamples.Plot3dFunctionVtkControl | ( | string | surfaceName,
|  | string[] | args
| ) |  |
| inline static

Tests use of VTK controls.

References IG.Gr3d.VtkSurfacePlot.Create(), IG.Gr3d.VtkControlBase.DefaultVtkAddTestActors, IG.Gr3d.VtkControlBase.DefaultVtkAddTestActorsIGLib, IG.Gr3d.VtkControlBase.DefaultVtkTestText, IG.Gr3d.VtkControlBase.ExampleExternalLoadVtkGraphics_SurfacePlots(), IG.Gr3d.VtkSurfacePlotBase.LineColorIsScaled, IG.Gr3d.VtkSurfacePlotBase.LinesVisible, IG.Gr3d.VtkSurfacePlotBase.LineWidth, IG.Gr3d.VtkControlBase.LoadVtkGraphics, IG.Gr3d.VtkContourPlot.NumContours, IG.Gr3d.VtkSurfacePlot.NumX, IG.Gr3d.VtkSurfacePlot.NumY, IG.Gr3d.VtkPlotBase.OutputLevel, IG.Gr3d.VtkSurfacePlotBase.PointSize, IG.Gr3d.VtkSurfacePlotBase.PointsVisible, IG.Gr3d.VtkSurfacePlot.SetBoundsParameters(), IG.Gr3d.VtkPlotter.setRenderer(), IG.Gr3d.VtkSurfacePlot.SetSurfaceDefinition(), IG.Gr3d.VtkPlotter.SetWindow(), IG.Gr3d.VtkSurfacePlotBase.SurfaceColor, IG.Gr3d.VtkSurfacePlotBase.SurfaceColorIsScaled, IG.Gr3d.VtkSurfacePlotBase.SurfaceColorOpacity, IG.Gr3d.VtkSurfacePlotBase.SurfacesVisible, IG.Lib.Util.TryParseBoolean(), IG.Gr3d.IVtkFormContainerGen< VtkControlType >.VtkControl, IG.Gr3d.VtkControlBase.VtkRenderer, and IG.Gr3d.VtkControlBase.VtkRenderWindow.

Referenced by IG.Script.ScriptGraphics3DBase.Plot3dFunctionVtkControl().

## Member Data Documentation

VtkPlotter IG.Gr3d.VtkFormsExamples._plotter
| static private

## Property Documentation

VtkPlotter IG.Gr3d.VtkFormsExamples.Plotter
| static get set private

Plotter that is used for rendering VTK graphics.

The documentation for this class was generated from the following file:

- extensions/igplot3d/plot3d/vtkbased/Forms/VtkFormsExamples.cs